Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046561
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Gift cards and gift vouchersmajoralways2021-05-06 15:382021-05-24 07:59
ReporterguillermogilView Statuspublic 
Assigned ToRetail 
PriorityurgentResolutionfixedFixed in VersionRR20Q4.4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR20Q4.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2020-06-15
Regression introduced in releaseRR20Q4
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/4f8b5f7b89f808520bf2d843cd684ecea564ecf5 [^]
Triggers an Emergency PackNo
Summary

0046561: OB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist

DescriptionOB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist
https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/blob/master/web/org.openbravo.retail.giftcards/js/components/GiftCardCertificate.js#L131 [^]

TypeError: OB.UI.GiftCardUtils.updatePaymentMethodCashUp is not a function
Steps To ReproduceSearch for that function and there is no definition
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0046556 closedrqueralta OB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist 

-  Notes
(0128533)
hgbot (developer)
2021-05-24 07:58

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards [^]
Changeset: f00f76b8888db810a7792bdb0b9844a6e01b69c3
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-05-10T18:25:21-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/f00f76b8888db810a7792bdb0b9844a6e01b69c3 [^]

Fix BUG-46561: Restored deleted changes to a previous mix

---
M web/org.openbravo.retail.giftcards/js/components/GiftCardCertificate.js
---
(0128534)
marvintm (developer)
2021-05-24 07:59

Fixed by this commit:

https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/58 [^]

- Issue History
Date Modified Username Field Change
2021-05-06 15:52 marvintm Type defect => backport
2021-05-06 15:52 marvintm Target Version => RR20Q4.4
2021-05-24 07:58 hgbot Note Added: 0128533
2021-05-24 07:59 marvintm Note Added: 0128534
2021-05-24 07:59 marvintm Status scheduled => resolved
2021-05-24 07:59 marvintm Fixed in Version => RR20Q4.4
2021-05-24 07:59 marvintm Resolution open => fixed
2021-05-24 07:59 marvintm Review Assigned To => marvintm
2021-05-24 07:59 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker